<?php
if (!defined("IN_SOFTWARE")) {
	die("Hacking attempt!");
}

class articles extends cache
{
	public function __construct()
	{
		global $root_path;
		
		$this->cache_construct($root_path."cache/articles.dat");
	}
	
	public function load($article_name, $raw=false)
	{
		global $db, $user, $config;
		
		if ((($data = $this->_readcache($article_name)) !== false))
		{
			if ($config->read("site_default")==$article_name)
			{
				$data['default'] = 1;
			}
			$data['article_content'] = ($raw) ? $data['article_content'] : $this->parseString($data['article_content']);
			$data['article_time'] = ($raw) ? $data['article_time'] : $this->parseDate($data['article_time']);
			$data['admin'] = ($user->is_admin()) ? 1 : 0;
			$username = $user->read($data['article_editor']);
			$data['article_editor'] = $username['username'];
			return $data;
		}
		else
		{
			$sql = "SELECT *, COUNT(*) AS total
					FROM ". T_ARTICLES ."
					WHERE article_name='$article_name'";
			$result = $db->sql_query($sql);
			$result = $db->sql_fetch_array($result);
			if ($result['total']!=1)
			{
				return array(
					"no_article"	=>	"true",
					"admin"	=>	($user->is_admin()) ? 1 : 0,
				);
			}
			else
			{
				$default = ($config->read('site_default')==$article_name) ? true : false;
				$username = $user->read($result['article_editor']);
				$data[$article_name] = array(
					"article_content"	=>	$result['article_content'],
					"article_editor"	=>	$result['article_editor'],
					"article_time"	=>	$result['article_time'],
				);
				$this->_writecache($data);
				
				return array(
					"article_content"	=>	($raw) ? $result['article_content'] : $this->parseString($result['article_content']),
					"article_editor"	=>	$username['username'],
					"article_time"	=>	($raw) ? $result['article_time'] : $this->parseDate($result['article_time']),
					"admin"	=>	($user->is_admin()) ? 1 : 0,
					"default" =>	($default) ? 1 : 0,
				);
			}
		}
	}
	
	private function parseString($input)
	{
		global $root_path;
		require_once($root_path."includes/libs/bbcode/nbbc.php");
		$bbcode = new BBCode;

		$bbcode->SetSmileyURL($root_path."templates/common/smileys");
		$bbcode->SetSmileyDir($root_path."templates/common/smileys");

		$bbcode->SetTagMarker(true);
		$bbcode->SetAllowAmpersand(true);
		$bbcode->SetEnableSmileys(true);
		$bbcode->SetDetectURLs(true);
		$bbcode->SetPlainMode(false);
		$new_rule = Array(
			'simple_start' => '<h2>',
			'simple_end' => '</h2>',
			'class' => 'inline',
			'allow_in' => Array('block', 'inline', 'link', 'list', 'listitems', 'columns', 'nextcol', 'image', 'code'), 
		);
		$bbcode->AddRule('title', $new_rule); 

		$input = $bbcode->Parse($input);
		return $input;
	}
	
	private function parseDate($input)
	{
		return date("d/m/Y H:i:s", $input);
	}
	
	public function create(array $data)
	{
		global $db, $config;
		
		$db->sql_transaction("begin");
		$sql = "SELECT COUNT(*) AS total
				FROM ". T_ARTICLES ."
				WHERE article_name='".$data['article_name']."'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if ($result['total'] == 1)
		{
			return false;
		}
		else
		{
			$sql = "INSERT INTO ". T_ARTICLES ."
						(article_name, article_content, article_editor, article_time)
					VALUES
						('".$data['article_name']."', \"".$data['article_content']."\", '".$data['article_editor']."', '".$data['article_time']."')";
			$db->sql_query($sql);
			$db->sql_transaction("commit");
			if ($data['default'] == 1)
			{
				$config->write("site_default", $data['article_name']);
			}
			return true;
		}
	}
	
	public function edit($data)
	{
		global $db, $config;
			$db->sql_transaction("begin");
		$sql = "SELECT COUNT(*) AS total
				FROM ". T_ARTICLES ."
				WHERE article_name='".$data['article_name']."'";
		$result = $db->sql_query($sql);
		$result = $db->sql_fetch_array($result);
		if ($result['total'] == 1)
		{
			$sql = "UPDATE ". T_ARTICLES ."
					SET article_content=\"".$data['article_content']."\",
					article_editor='".$data['article_editor']."',
					article_time='".$data['article_time']."'
					WHERE article_name='".$data['article_name']."'";
			$db->sql_query($sql);
			$db->sql_transaction("commit");
			$this->_remove($data['article_name']);
			if ($data['default'] == 1)
			{
				$config->write("site_default", $data['article_name']);
			}
			return true;
		}
		else
		{
			return false;
		}
	}
}
?>