<?php
if (!defined("IN_SOFTWARE")) {
	die("Hacking attempt");
}
switch ($dbms) {
	case 'mysql':
		require_once($root_path."/includes/class/dbase/mysql.php");
		break;
	case 'mysqli':
		require_once($root_path."/includes/class/dbase/mysqli.php");
	break;
}
class dbal {

	protected $db_connect_id = false;
	protected $dbuser;
	protected $dbhost;
	protected $dbname;
	protected $dbpasswd;
	protected $sql_error_trigger = false;
	protected $sql_error_returned = array();
	protected $sql_error_sql;
	protected $sql_layer = "";
	protected $query_result = false;
	public $sql_connected = false;
	protected $transaction = false;
	protected $transactions = 0;
	protected $num_queries = 0;
	protected $start_time = 0;
	protected $end_time = 0;
	protected $total_time = 0;
	protected $errors = true;
	
	public function __construct($dbhost, $dbuser, $dbpasswd, $dbname, $dbport=false, $errors=true)
	{
		$this->start_time = time();
		$this->dbuser = $dbuser;
		$this->dbhost = $dbhost . (($dbport) ? ':' . $dbport : '');
		$this->dbname = $dbname;
		$this->dbpasswd = $dbpasswd;
		$this->errors = $errors;
		
		if (!$this->_sql_connect())
		{
			$this->status = false;
		}
		else
		{
			$this->status = true;
		}
		
		
	}
	protected function sql_error($sql='') {
		$sql_error_trigger = true;
		$this->sql_error_sql = $sql;
		$this->sql_error_returned = $this->_sql_error();
		$message = 'SQL ERROR [ ' . $this->sql_layer . ' ]<br /><br />' . $this->sql_error_returned['message'] . ' [' . $this->sql_error_returned['code'] . ']';
		$backtrace = get_backtrace();
		$message .= ($sql) ? '<br /><br />SQL<br /><br />' . htmlspecialchars($sql) : '';
		$message .= ($backtrace) ? '<br /><br />BACKTRACE<br />' . $backtrace : '';
		$message .= '<br />';
		trigger_error($message, E_USER_ERROR);
		
		if ($this->transaction)
		{
			$this->sql_transaction('rollback');
		}
		return $this->sql_error_returned;
	}
	/*
	 * Definiert ob eine Transaktion anfängt, aufhört oder ob ein Rollback durchgeführt werden soll.
	 * 
	 * @param string $status Kann begin/commit/rollback sein
	 * @return bool
	 */
	public function sql_transaction($status='begin')
	{
		switch ($status)
		{
			case 'begin':
				if ($this->transaction)
				{
					$this->transactions++;
					return true;
				}
				$result = $this->_sql_transaction('begin');
				if (!$result)
				{
					$this->sql_error();
				}
				$this->transaction = true;
			break;
			
			case 'rollback':
				$result = $this->_sql_transaction('rollback');
				$this->transaction = false;
				$this->transactions = 0;
			break;
			
			case 'commit':
				
				if ($this->transaction && $this->transactions)
				{
					$this->transactions--;
					return true;
				}
				
				if (!$this->transaction)
				{
					return false;
				}
				
				$result = $this->_sql_transaction('commit');
				
				if (!$result)
				{
					$this->sql_error();
				};
				$this->transaction = false;
				$this->transactions = 0;
				
			break;
			
			default:
				$result = $this->_sql_transaction($status);
			break;
				
		}
		
		return $result;
	}
	public function sql_report()
	{
		return array(
			"query_number"	=>	$this->num_queries,
			"execution_time"	=>	$this->total_time,
		);
	}
	/* 
	 * Führt bei Ausruf ein SQL Query aus.
	 * Die Funktion reicht dabei einen String an die Datenbankklasse weiter
	 * 
	 * @access public
	 * @param string $sql SQL Query
	 * @return bool
	 */
	public function sql_query($sql)
	{
		$this->num_queries++;
		return $this->_sql_query($sql);
	}
	
	public function sql_close()
	{
		if (!$this->db_connect_id)
		{
			return false;
		}
		
		if ($this->transaction)
		{
			do
			{
				$this->sql_transaction('commit');
			}
			while ($this->transaction);
		}
		
		return $this->_sql_close();
	}
	
	public function sql_import($file, $search=false, $replace=false)
	{
		global $dbprefix;
		
		$content = file_get_contents($file);
		$file_content = explode("\n",$content);
		$query = "";
		
		foreach($file_content as $sql_line)
		{
			 $query .= $sql_line;
             if(preg_match("/(.*);/", $sql_line))
             {
             	
             	$query = substr($query, 0, strlen($query)-1);
             	$query = str_replace("##prefix##", $dbprefix, $query);
             	if (($search) && ($replace))
             	{
             		$query = str_replace($search, $replace, $query);
             	}     
                $this->sql_transaction("begin");
             	if (!$result = $this->sql_query($query))
             	{
             		return false;
             	}
             	$this->sql_transaction("commit");
                $query = "";
             } 
		}
		
		return true;
	}
	
	/*public function return_array($result)
	{
		foreach ($result as $key => $value)
		{
			$data = array(
				$key => $value,	
			); 
		}
		echo "<pre>";
		print_r($data);
		echo "</pre>";
	}*/
}
$sql_db = (!empty($dbms)) ? 'dbal_' . basename($dbms) : 'dbal';
?>