CREATE TABLE ##prefix##articles (
  article_id bigint(20) NOT NULL auto_increment,
  article_content longtext collate utf8_bin NOT NULL,
  article_time int(11) NOT NULL,
  article_editor int(11) NOT NULL,
  article_name varchar(255) collate utf8_bin NOT NULL,
  PRIMARY KEY  (article_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



CREATE TABLE ##prefix##config (
  config_name varchar(255) collate utf8_bin NOT NULL,
  config_value varchar(255) collate utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



CREATE TABLE ##prefix##modules (
  module_id bigint(20) NOT NULL auto_increment,
  module_name varchar(255) collate utf8_bin NOT NULL,
  module_directory varchar(255) collate utf8_bin NOT NULL,
  module_enabled tinyint(1) NOT NULL,
  module_description longtext collate utf8_bin NOT NULL,
  module_type tinyint(1) NOT NULL,
  module_name_clean varchar(255) collate utf8_bin NOT NULL,
  requires longtext collate utf8_bin NOT NULL,
  installable tinyint(1) NOT NULL,
  module_admin_name varchar(255) collate utf8_bin NOT NULL,
  module_version varchar(255) collate utf8_bin NOT NULL,
  PRIMARY KEY  (module_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



CREATE TABLE ##prefix##navigation (
  nav_id bigint(20) NOT NULL auto_increment,
  nav_name varchar(255) collate utf8_bin NOT NULL,
  nav_type tinyint(4) NOT NULL,
  nav_link varchar(255) collate utf8_bin NOT NULL,
  nav_target varchar(255) collate utf8_bin NOT NULL,
  module_id bigint(20) NOT NULL,
  nav_block longtext collate utf8_bin NOT NULL,
  nav_order int(11) NOT NULL,
  nav_cat_id int(11) NOT NULL,
  nav_view tinyint(4) NOT NULL,
  PRIMARY KEY  (nav_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



CREATE TABLE ##prefix##navigation_categories (
  cat_id bigint(20) NOT NULL auto_increment,
  cat_name varchar(255) collate utf8_bin NOT NULL,
  cat_view_right longtext collate utf8_bin NOT NULL,
  cat_side tinyint(4) NOT NULL,
  cat_order int(11) NOT NULL,
  PRIMARY KEY  (cat_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



CREATE TABLE ##prefix##templates (
  template_id int(11) NOT NULL auto_increment,
  template_name varchar(255) collate utf8_bin NOT NULL,
  template_directory varchar(255) collate utf8_bin NOT NULL,
  template_default tinyint(1) NOT NULL,
  PRIMARY KEY  (template_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;



CREATE TABLE ##prefix##users (
  user_id bigint(20) NOT NULL auto_increment,
  username varchar(255) collate utf8_bin NOT NULL,
  user_password varchar(255) collate utf8_bin NOT NULL,
  user_email varchar(255) collate utf8_bin NOT NULL,
  user_registered int(11) NOT NULL,
  user_last_login int(11) NOT NULL,
  user_template int(11) NOT NULL,
  user_language int(11) NOT NULL,
  user_level tinyint(4) NOT NULL,
  sc_uid int(11) NOT NULL,
  PRIMARY KEY  (user_id)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;